Skip to content
Start here

Delete waiting room

client.waitingRooms.delete(stringwaitingRoomId, WaitingRoomDeleteParams { zone_id } params, RequestOptionsoptions?): WaitingRoomDeleteResponse { id }
DELETE/zones/{zone_id}/waiting_rooms/{waiting_room_id}

Deletes a waiting room.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms Write
ParametersExpand Collapse
waitingRoomId: string
params: WaitingRoomDeleteParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
WaitingRoomDeleteResponse { id }
id?: string

Delete waiting room

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const waitingRoom = await client.waitingRooms.delete('699d98642c564d2e855e9661899b7252', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(waitingRoom.id);
{
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  }
}
Returns Examples
{
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  }
}